***************表1 基准回归*********************
use "数据.dta",clear
xtset name_country  year
reghdfe disper imp_pro, a( name_country   cicid provinceid year year) vce(cl  name_country )
est store b1
reghdfe scope imp_pro, a( name_country   cicid provinceid year year) vce(cl  name_country )
est store b2
reghdfe disper imp_pro lnage lnlabor size lnwage lnklp roa lnasset capital kc lev , a( name_country  cicid provinceid  year) vce(cl  name_country )
est store b3
reghdfe scope imp_pro lnage lnlabor size lnwage lnklp roa lnasset capital kc lev , a( name_country   cicid provinceid year) vce(cl  name_country )
est store b4
reghdfe disper imp_pro lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cicid provinceid  year) vce(cl  name_country )
est store b5
reghdfe  scope imp_pro lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cicid provinceid  year) vce(cl  name_country )
est store b6

***************表2 DID*********************
*********DID***********
reghdfe disper did lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cicid provinceid  year) vce(cl  name_country )
est store b1
reghdfe scope did lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cicid provinceid  year) vce(cl  name_country )
est store b2
*******PSM-DID**********
set seed 0001
gen tmp = runiform()
sort tmp
psmatch2 group01 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, out(disper scope) logit ate neighbor(2) common ties quietly
sum _pscore
dis 0.25*r(sd)
psmatch2 group01 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, out(disper scope) logit ate neighbor(2) cal(0.01) common ties quietly
pstest, both graph
xtset name_country  year
reghdfe disper did lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto if _weight != ., a( name_country  cicid provinceid  year) vce(cl  name_country )
est store b3
reghdfe scope did lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto if _weight != ., a( name_country   cicid provinceid year) vce(cl  name_country )
est store b4

***********表3 影响机制分析-融资约束效应*****************
********内源融资约束-现金流********
reghdfe cashflow imp_pro  lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid   year) vce(cl  name_country )
est store b1
reghdfe disper imp_pro cashflow  lnage lnlabor size lnwage lnklp roa lnasset capital kc   lev lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid   year) vce(cl  name_country )
est store b2
reghdfe scope imp_pro cashflow lnage lnlabor size lnwage lnklp roa lnasset capital kc   lev lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid   year) vce(cl  name_country )
est store b3
*******外源融资约束-利息支出占比*******
reghdfe interest imp_pro  lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cicid provinceid  year) vce(cl  name_country )
est store b4
reghdfe disper imp_pro interest  lnage lnlabor size lnwage lnklp roa lnasset capital kc   lev lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid   year) vce(cl  name_country )
est store b5
reghdfe scope imp_pro interest  lnage lnlabor size lnwage lnklp roa lnasset capital kc   lev lngdp lnincome lnNER dumb_wto, a( name_country  cicid provinceid  year) vce(cl  name_country )
est store b6
********融资约束综合指标********
reghdfe total imp_pro  lnage lnlabor size lnwage lnklp roa lnasset capital kc  lev lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid   year) vce(cl  name_country )
est store b7
reghdfe disper imp_pro total lnage lnlabor size lnwage lnklp roa lnasset capital kc   lev lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid   year) vce(cl  name_country )
est store b8
reghdfe scope imp_pro total lnage lnlabor size lnwage lnklp roa lnasset capital kc   lev lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid   year) vce(cl  name_country )
est store b9

***********表4 影响机制-创新激励效应*****************
*********专利申请*********
reghdfe patent imp_pro  lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid  year) vce(cl  name_country )
est store b1
reghdfe disper imp_pro patent lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cicid provinceid year) vce(cl  name_country )
est store b2
reghdfe scope imp_pro patent lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid  year) vce(cl  name_country )
est store b3
*********创新专利申请*******
reghdfe inno imp_pro  lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cicid provinceid year) vce(cl  name_country )
est store b4
reghdfe disper imp_pro inno lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid  year) vce(cl  name_country )
est store b5
reghdfe scope imp_pro inno lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country cicid provinceid  year) vce(cl  name_country )
est store b6

***********表5 影响机制-竞争调节效应****************
**********国内市场竞争********
reghdfe disper i.imp_pro##c.hhi lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto , a( name_country cicid provinceid  year) vce(cl  name_country )
est store b1
reghdfe scope i.imp_pro##c.hhi lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto , a( name_country cicid provinceid  year) vce(cl  name_country )
est store b2
**********目的地市场竞争*******
reghdfe disper i.imp_pro##c.lnfirm lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto , a( name_country cicid provinceid  year) vce(cl  name_country )
est store b3
reghdfe scope i.imp_pro##c.lnfirm lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto , a( name_country cicid provinceid  year) vce(cl  name_country )
est store b4

***********表6 影响效应差异检验*****************
************disper***********
*****行业内效应*****
reghdfe disper np4 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
est store b1
*****行业间效应*****
reghdfe disper np2 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
est store b2
*****组间系数差异检验*****
gen newid=name_country
xtset newid year
capture program drop AME_Panel
program define AME_Panel, eclass
preserve
tempname b b1 b0
reghdfe disper np4 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
 margins,dydx( np4 ) post
matrix `b1'=e(b)
reghdfe disper np2 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
margins,dydx( np2 ) post
matrix `b0'=e(b)
matrix `b'=`b0'-`b1'
ereturn post `b'
end
bootstrap _b, cluster(name_country) idcluster(newid) nowarn reps(500) seed(10101): AME_Panel
est store m1
***************scope***************
*****行业内效应*****
reghdfe scope np4 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
est store b1
*****行业间效应*****
reghdfe scope np2 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
est store b2
*****组间系数差异检验*****
gen newid=name_country
xtset newid year
capture program drop AME_Panel
program define AME_Panel, eclass
preserve
tempname b b1 b0
reghdfe scope np4 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
 margins,dydx( np4 ) post
matrix `b1'=e(b)
reghdfe scope np2 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
margins,dydx( np2 ) post
matrix `b0'=e(b)
matrix `b'=`b0'-`b1'
ereturn post `b'
end
bootstrap _b, cluster(name_country) idcluster(newid) nowarn reps(500) seed(10101): AME_Panel
est store m2

*****************表7 政策溢出效应检验*****************
*************融资约束************
*****行业内效应*****
reghdfe interest np4 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
est store b1
*****行业间效应*****
reghdfe interest np2 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
est store b2
*****组间系数差异检验*****
gen newid=name_country
xtset newid year
capture program drop AME_Panel
program define AME_Panel, eclass
preserve
tempname b b1 b0
reghdfe interest np4 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
 margins,dydx( np4 ) post
matrix `b1'=e(b)
reghdfe interest np2 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
margins,dydx( np2 ) post
matrix `b0'=e(b)
matrix `b'=`b0'-`b1'
ereturn post `b'
end
bootstrap _b, cluster(name_country) idcluster(newid) nowarn reps(500) seed(10101): AME_Panel
est store m3
***************创新激励**************
*****行业内效应*****
reghdfe patent np4 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
est store b1
*****行业间效应*****
reghdfe patent np2 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
est store b2
*****组间系数差异检验*****
gen newid=name_country
xtset newid year
capture program drop AME_Panel
program define AME_Panel, eclass
preserve
tempname b b1 b0
reghdfe patent np4 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev  lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
 margins,dydx( np4 ) post
matrix `b1'=e(b)
reghdfe patent np2 lnage lnlabor size lnwage lnklp roa lnasset capital kc lev lngdp lnincome lnNER dumb_wto, a( name_country  cic4id provinceid year) vce(cl  name_country )
margins,dydx( np2 ) post
matrix `b0'=e(b)
matrix `b'=`b0'-`b1'
ereturn post `b'
end
bootstrap _b, cluster(name_country) idcluster(newid) nowarn reps(500) seed(10101): AME_Panel
est store m4